Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1230445 - (officeparser) Review Request: officeparser - Parse the format of OLE compound documents used by MS Office applications
Review Request: officeparser - Parse the format of OLE compound documents use...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2015-06-10 19:18 EDT by Michal Ambroz
Modified: 2015-10-13 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 02:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2015-06-10 19:18:10 EDT
Spec URL: https://rebus.fedorapeople.org/SPECS/officeparser.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/officeparser-0.20140818-1.fc21.src.rpm
Description: 
Python script officeparser.py that parses the format of OLE compound documents
used by Microsoft Office applications. Some useful features of this script
include: macro extraction, embedded file extraction, format analysis.
It is useful for example for malware analysis or digital forensics.

Fedora Account System Username: rebus
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-06-30 18:37:17 EDT
Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

- "rm -rf %{buildroot}" is not necessary.

- "true" is not necessary, just leave it empty

- You need a dependency on python in the binary package.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-06-30 18:40:12 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> - You need a dependency on python in the binary package.
The best way to do that would be to change the first line of the script to have
#!%{__python2} (or %{__python3} if it works with python 3). Then the dependency will be added automatically.
Comment 3 Michal Ambroz 2015-06-30 23:05:18 EDT
Hello Zbigniew,
thanks for the comments.

Updated package:
Spec URL: https://rebus.fedorapeople.org/SPECS/officeparser.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/officeparser-0.20140818-2.fc21.src.rpm

Best regards
Michal Ambroz
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-07-01 12:39:42 EDT
Oops, something didn't go right with the substitution. You need BuildRequires: python2-devel.
Comment 5 Michal Ambroz 2015-07-01 21:06:23 EDT
Hello Zbigniew,
thanks for spotting that.

Updated package:
Spec URL: https://rebus.fedorapeople.org/SPECS/officeparser.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/officeparser-0.20140818-3.fc21.src.rpm

Best regards
Michal Ambroz
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-07-02 11:16:52 EDT
Please, rebuild the package after making changes ;)

officeparser.noarch: W: tag-in-description C BuildRequires:
officeparser.noarch: E: wrong-script-interpreter /usr/bin/officeparser.py %{__python2}
Comment 7 Zbigniew Jędrzejewski-Szmek 2015-07-09 11:20:25 EDT
Ping?
Comment 8 Michal Ambroz 2015-07-09 13:12:44 EDT
Hi,
Updated package:
Spec URL: https://rebus.fedorapeople.org/SPECS/officeparser.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/officeparser-0.20140818-4.fc21.src.rpm


Position of the BuldRequires was wrong - sorry I was too fast placing that.

But I did rebuild in my environment before posting and rpmlint didn't have any problems with wrong-script-interpreter. I have also checked the /usr/bin/officeparser.py and interpretter there in my environment (FC21) was #!/usr/bin/python2.

Please what is your environment? Does it know macro %{__python2} ?

Michal Ambroz
Comment 9 Zbigniew Jędrzejewski-Szmek 2015-07-09 13:45:42 EDT
(In reply to Michal Ambroz from comment #8)
> Please what is your environment? Does it know macro %{__python2} ?
This macro is provided by python2-devel package. That is why you need the dependency. Now that you have the dependency, everything should work.

+ license is OK
+ license file present
+ python guidelines are used
+ macros are used
+ spec file is sane
+ name is OK
+ requires and provides are OK
+ rmplit output is harmless

Package is APPROVED.

Rpmlint
-------
Checking: officeparser-0.20140818-4.fc23.noarch.rpm
          officeparser-0.20140818-4.fc23.src.rpm
officeparser.noarch: W: spelling-error %description -l en_US py -> pt, p, y
officeparser.noarch: W: no-manual-page-for-binary officeparser.py
officeparser.src: W: spelling-error %description -l en_US py -> pt, p, y
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
officeparser.noarch: W: spelling-error %description -l en_US py -> pt, p, y
officeparser.noarch: W: no-manual-page-for-binary officeparser.py
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 10 Zbigniew Jędrzejewski-Szmek 2015-08-17 19:41:50 EDT
OK, changing the status so this does not clutter up my search results.
Comment 11 Michal Ambroz 2015-08-18 16:52:58 EDT
Oops ... sorry I forgot to progress on the package. Will do.
Comment 12 Michal Ambroz 2015-08-19 04:07:55 EDT
New Package SCM Request
=======================
Package Name: officeparser
Short Description: Parse the format of OLE compound documents used by MS Office applications
Upstream URL: https://github.com/unixfreak0037/officeparser
Owners: mambroz
Branches: f21 f22 f23 epel7
Comment 13 Gwyn Ciesla 2015-08-20 10:25:30 EDT
mambroz is not a member of the Packager group
Comment 14 Michal Ambroz 2015-08-22 07:36:29 EDT
Oops ... sorry - second service.

New Package SCM Request
=======================
Package Name: officeparser
Short Description: Parse the format of OLE compound documents used by MS Office applications
Upstream URL: https://github.com/unixfreak0037/officeparser
Owners: rebus
Branches: f21 f22 f23 epel7
Comment 15 Gwyn Ciesla 2015-08-23 17:35:38 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2015-09-09 08:10:04 EDT
officeparser-0.20140818-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15441
Comment 17 Fedora Update System 2015-09-09 08:12:05 EDT
officeparser-0.20140818-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15442
Comment 18 Fedora Update System 2015-09-09 08:16:34 EDT
officeparser-0.20140818-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15443
Comment 19 Fedora Update System 2015-09-09 21:03:00 EDT
officeparser-0.20140818-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update officeparser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15443
Comment 20 Fedora Update System 2015-09-09 22:07:31 EDT
officeparser-0.20140818-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update officeparser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15442
Comment 21 Fedora Update System 2015-09-10 01:51:35 EDT
officeparser-0.20140818-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update officeparser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15441
Comment 22 Fedora Update System 2015-10-12 02:28:15 EDT
officeparser-0.20140818-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-10-13 02:53:32 EDT
officeparser-0.20140818-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-10-13 13:03:37 EDT
officeparser-0.20140818-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.